@import "~bootstrap/scss/bootstrap";
// @import "bootstrap/scss/bootstrap-grid.scss";

@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,300;0,700;1,200;1,700&display=swap');


:root {
    // bootstrap
    // --bs-gutter-x: var(--spacing-l);

    // app
    --color-dark: #232323;
    --spacing-s: 10px;
    --spacing-m: 20px;
    --spacing-l: 40px;
    --spacing-xl: 80px;
    --spacing-xxl: 160px;
}

body {
    font-family: 'Poppins', sans-serif;
    
    header {
        display: flex;
        justify-content: space-between;
        align-items: center;
        height: 100px;
        margin-bottom: 100px;
        
        ul {
            display: flex;
            align-items: center;
            list-style-type: none;
            margin: 0;
            padding: 0;

            li {
                margin-right: 20px;

                h1 {
                    margin-right: 20px;
                    font-weight: bold;
                }
            }
        }

        a {
            text-decoration: none;
            color: var(--color-dark);
        }
    }
}

.Product {

    &__picture {
        position: relative;
        padding-top: 70%;
        margin-bottom: 20px;

        img {
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            object-fit: cover;
        }
    }

    &__informations {
        display: flex;
        justify-content: space-between;
        width: 100%;
    }

    &__name {
        margin: 0;
        font-size: 1.5rem;
        font-weight: bold;
    }

    &__price {
        margin: 0;
    }

    &__add {
        color: var(--color-dark);
    }
}



.OrderList {
    margin: 0;
    padding: 0;
    list-style-type: none;

    

    &__product {
        display: flex;
        justify-content: space-between;
        align-items: center;
        padding: var(--spacing-m) 0;
        border-top: solid 1px var(--color-dark);
        
        &:last-child {
            border-bottom: solid 1px var(--color-dark);
        }

        & > div {
            display: flex;

            &:last-child {
                flex-direction: column;
            }
        }
        
        &__picture {
            width: 100px;
            height: 100px;
            margin-right: 40px;
            object-fit: cover;
        }
    
        &__informations {
            // display: flex;
            // justify-content: space-between;
            // width: 100%;
        }
    
        &__name {
            margin: 0;
            font-weight: bold;
        }
    
        &__quantity {
            margin: 0;
        }
    
        &__price {
            margin: 0;
        }
    
        &__add {
            color: var(--color-dark);
        }
    }
}